OSTEST(1)

NAME
ostest - oskit test driver

SYNOPSIS
ostest [OPTION]... [KIT]...
ostest --help

DESCRIPTION
ostest organizes the automatized testing of oskits. If no KIT argument is given a default set of oskits is tested. The default set depends on the available memory and thus on the board (specified with --sys). If KIT arguments are given only these oskits will be tested. ostest starts for each oskit the operating system and executes some commands to verify basic system functionality. The major steps are:
    -   determine the execution mode, either from the --mode option or the default rri, and load the execution mode package.
    -   determine the target board, either from the --sys option or from the EXPTEST_SYS environment variable, and source the setup definition. That defines board properties, like memory size, and the default set of oskits.
    -   configure the connected board if the --config option is specified.
    -   for each oskit:
        -   source the oskit definition. That loads os family-specific code and defines oskit-specific parameters.
        -   verify in the preboot procedure whether all preconditions for the execution of the oskit are met, e.g. a network environment.
        -   check whether disk/tape images for the oskit are loaded, and if not, download and unpack them with oskit_setup(1).
        -   boot the operating system and set the system time.
        -   execute some tests.
        -   execute shutdown procedure.
        -   wait till the CPU enters the HALT state.

OPTIONS

--sys=sys
    Defines the system which is configured, or in case the --config is given, is to be configured. Must be specified if the EXPTEST_SYS environment variable is not specified.

--mode=mode
    Defines the execution mode. The default is rri and is currently the only supported mode.

--log[=fnam]
    The output is written to a logfile. In case no name is specified an automatically generated name will be used.

--logu
    Show full session on stdout even when --log is active.

--config
    The connected board is configured with the system defined with the --sys option or the EXPTEST_SYS environment variable. First is checked with a make -n whether the <sys>.bit file is available and up-to-date. The script is aborted if the test fails.

-help
    print full help text and exit.

ENVIRONMENT

EXPTEST_SYS
    Defines the default system in case no --sys option is given.

RETROBASE
    Defines root of all retro project files.

FILES

$RETROBASE/tools/tcl/exptest_<mode>.tcl
    Implementation for execution mode mode.

$RETROBASE/tools/exptest/sys/<sys>_setup.tcl
    Setup file for system sys.

$RETROBASE/tools/oskit/test/kit/<kit>_setup.tcl
    Setup file for oskit kit.

$RETROBASE/tools/oskit/test/os
    Path for ostest environment for os class of oskit kit.

$RETROBASE/tools/oskit/<kit>/
    Path for execution environment for oskit kit.

EXAMPLES

ostest --sys=sys_w11a_n4d -log
    This command expects that a Digilent Nexys4 A7 board is connected and already configured with the sys_w11a_n4d system. It will execute the set of default tests for this board and produce output like
            -I: log to ostest-2019-07-13-151006-sys_w11a_n4d.log
            ----- 15:10:06 (   0.0,   0.0): 211bsd_rpmin
            ----- 15:10:34 (  27.9,  27.9): 211bsd_rk
            ----- 15:11:00 (  53.9,  26.0): 211bsd_rl
            ----- 15:11:27 (  80.7,  26.8): 211bsd_rp
            ----- 15:11:55 ( 109.0,  28.3): 211bsd_rpeth
            -I: 'tap0' device required but not available
            -I: skip kit '211bsd_rpeth'
    The 211bsd_rpeth test was skipped because preconditions were not fulfilled.

ostest --sys=sys_w11a_arty -log 211bsd_rpmin rsx11mp-30_rp
    This command expects that a Digilent Arty board is connected and already configured with the sys_w11a_arty system and executes the 211bsd_rpmin and rsx11mp-30_rp tests.

SEE ALSO
oskit_setup(1), mctest(1)

AUTHOR
Walter F.J. Mueller <W.F.J.Mueller@gsi.de>